<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         display_log.php
Description:  Administrative module to display log

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";

    // Check privileges
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }
    if (user_is_admin() == false)
    {
        log_out();
        return;
    }

    // Cancel log?
    if (isset($_POST['log_Cancel']))
    {
        header('location: ' . $ADMIN_MAIN_SITE);
        return;
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_log_head'), true, $cTrans->GetTranslation('admin_login_logout'), true, $cTrans->GetTranslation('admin_backtomain'));

    echo_r ('<table border="0" width="100%">');
    echo_r ('  <tr>');
    echo_r ('    <td>' . $cTrans->GetTranslation('admin_log_frontend') . ': </td>');
    echo_r ('    <td><textarea cols="100" rows="10" name="log_content" wrap="off">');
    include $SHOP_LOG_FILE;
    echo_r ('    </textarea></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td>' . $cTrans->GetTranslation('admin_log_filesize') . ': ' . sprintf("%.2f", filesize($SHOP_LOG_FILE) / 1024) . ' KB</td>');
    echo_r ('    <td>');
    $percValue = filesize($SHOP_LOG_FILE) * (100 / $MAX_LOG_SIZE);
    echo_r ('     <table border="0" width="60%" cellspacing="0" cellpadding="0">');
    echo_r ('      <tr height="10">');
    for ($i = 10; $i <= 100; $i += 10)
    {
        if ($percValue >= $i)
            echo_r('       <td bgcolor="blue"></td>');
        else
            echo_r('       <td bgcolor="silver"></td>');
    }
    echo_r ('      </tr>');
    echo_r ('     </table>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td>' . $cTrans->GetTranslation('admin_log_backend') . ': </td>');
    echo_r ('    <td><textarea cols="100" rows="10" name="log_content" wrap="off">');
    include $ADMIN_LOG_FILE;
    echo_r ('    </textarea></td>');
    echo_r ('  </tr>');
    echo_r ('  <tr>');
    echo_r ('    <td>' . $cTrans->GetTranslation('admin_log_filesize') . ': ' . sprintf("%.2f", filesize($ADMIN_LOG_FILE) / 1024) . ' KB</td>');
    echo_r ('    <td>');
    $percValue = filesize($ADMIN_LOG_FILE) * (100 / $MAX_LOG_SIZE);
    echo_r ('     <table border="0" width="60%" cellspacing="0" cellpadding="0">');
    echo_r ('      <tr height="10">');
    for ($i = 10; $i <= 100; $i += 10)
    {
        if ($percValue >= $i)
            echo_r('       <td bgcolor="blue"></td>');
        else
            echo_r('       <td bgcolor="silver"></td>');
    }
    echo_r ('      </tr>');
    echo_r ('     </table>');
    echo_r ('    </td>');
    echo_r ('  </tr>');
    echo_r ('</table>');

    print_bottom_links("log_Cancel", $cTrans->GetTranslation('admin_ok'));

    print_admin_footer();
?>