<?php

/*  Alternate WebshopEngine
(C) 2009-2014 by Alternate Tools
-----------------------------------------------------

File:         index.php
Description:  Administrative entry point

*/

    include "../modules/mod_config.php";
    include "../modules/mod_admin.php";
    include "../modules/class_translation.php";
    include "../modules/class_user.php";
    include "../modules/class_theme.php";

    // Check privileges
    check_login();
    if (user_is_customer() == true)
    {
        log_out();
        return;
    }

    // Edit articles?
    if (isset ($_POST['admin_Articles']))
    {
        header ('location: ' . $ADMIN_ARTLIST_SITE);
        return;
    }
    // Edit categories?
    if (isset ($_POST['admin_Categories']))
    {
        header ('location: ' . $ADMIN_CATLIST_SITE);
        return;
    }
    // Edit orders?
    if (isset ($_POST['admin_Orders']))
    {
        header ('location: ' . $ADMIN_ORDLIST_SITE);
        return;
    }
    // Edit customers?
    if (isset ($_POST['admin_Customers']))
    {
        header('location: ' . $ADMIN_USRLIST_SITE . '?mode=cust');
        return;
    }
    // Send newsletter?
    if (isset ($_POST['admin_Newsletter']))
    {
        header('location: ' . $ADMIN_NEWSLETTER_SITE);
        return;
    }
    // Edit users?
    if (isset ($_POST['admin_Users']))
    {
        header('location: ' . $ADMIN_USRLIST_SITE);
        return;
    }
    // Edit mails?
    if (isset ($_POST['admin_Mails']))
    {
        header('location: ' . $ADMIN_MAILLIST_SITE);
        return;
    }
    // Edit config?
    if (isset ($_POST['admin_Config']))
    {
        header('location: ' . $ADMIN_CONFIG_SITE);
        return;
    }
    // Select theme?
    if (isset ($_POST['admin_Theme']))
    {
        header ('location: ' . $ADMIN_SELECT_THEME_SITE);
        return;
    }
    // Edit logos?
    if (isset ($_POST['admin_Logos']))
    {
        header ('location: ' . $ADMIN_EDIT_LOGOS_SITE);
        return;
    }
    // Display system info?
    if (isset ($_POST['admin_SysInfo']))
    {
        header ('location: ' . $ADMIN_SYSINFO_SITE);
        return;
    }
    // Display log?
    if (isset ($_POST['admin_Log']))
    {
        header ('location: ' . $ADMIN_LOG_SITE);
        return;
    }
    // Display php info?
    if (isset ($_POST['admin_PhpInfo']))
    {
        header ('location: ' . $ADMIN_PHPINFO_SITE);
        return;
    }
    // Reset statistics?
    if (isset ($_POST['admin_ResetStatistics']))
    {
        header ('location: ' . $ADMIN_RESETSTATISTICS_SITE);
        return;
    }
    // Edit folder?
    if (isset ($_POST['admin_EditFolder']))
    {
        header ('location: ' . $ADMIN_EDITFOLDER_SITE);
        return;
    }

    // Display
    print_admin_header($cTrans->GetTranslation('admin_main_head'), true, $cTrans->GetTranslation('admin_login_logout'));
    print_help_link($ADMIN_HELP_FILE, $cTrans->GetTranslation('admin_help'));
    echo_r('<form method="post" action="">');
    echo_r($cTrans->GetTranslation('admin_main_welcome') . '<br><br>');
    // Articles
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Articles" value="' . $cTrans->GetTranslation('admin_main_editarticles') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editarticleshint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('    <hr>');
    if ($USE_CATEGORIES == true)
    {
        // Categories
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Categories" value="' . $cTrans->GetTranslation('admin_main_editcategories') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editcategorieshint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('    <hr>');
    }
    // Orders
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Orders" value="' . $cTrans->GetTranslation('admin_main_editorders') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editordershint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');
    // Customers
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Customers" value="' . $cTrans->GetTranslation('admin_main_editcustomers') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editcustomershint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');
    // Newsletter
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Newsletter" value="' . $cTrans->GetTranslation('admin_main_sendnewsletter') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_main_sendnewsletterhint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');

    if (user_is_reporter() == false) // only suitable for owner/admin
    {
        // Users
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Users" value="' . $cTrans->GetTranslation('admin_main_editusers') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editusershint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<hr>');
        // Mails
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Mails" value="' . $cTrans->GetTranslation('admin_main_editmails') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editmailshint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<hr>');
        // Config
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Config" value="' . $cTrans->GetTranslation('admin_main_editconfig') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editconfighint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<hr>');
    }
    // Themes
    if (user_is_admin() == true)
    {
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Theme" value="' .  $cTrans->GetTranslation('admin_main_selecttheme') . '"></td>');
        echo_r('    <td>' .  $cTrans->GetTranslation('admin_main_selectthemehint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<hr>');
    }
    // Logos
    if (user_is_admin() == true)
    {
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Logos" value="' . $cTrans->GetTranslation('admin_main_editlogos') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editlogoshint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<hr>');
    }
    // System info
    echo_r('<table border="0" width="100%">');
    echo_r('  <tr>');
    echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_SysInfo" value="' . $cTrans->GetTranslation('admin_main_sysinfo') . '"></td>');
    echo_r('    <td>' . $cTrans->GetTranslation('admin_main_sysinfohint') . '</td>');
    echo_r('  </tr>');
    echo_r('</table>');
    echo_r('<hr>');
    // Php info
    if (user_is_reporter() == false) // currently only admin
    {
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_PhpInfo" value="' . $cTrans->GetTranslation('admin_main_phpinfo') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_phpinfohint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<hr>');
    }
    // Log info
    if (user_is_admin() == true) // currently only admin
    {
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_Log" value="' . $cTrans->GetTranslation('admin_main_log') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_loghint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<hr>');
    }
    // Reset statistics
    if (user_is_admin() == true) // currently only admin
    {
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_ResetStatistics" value="' . $cTrans->GetTranslation('admin_main_resetstatistics') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_resetstatisticshint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
        echo_r('<hr>');
    }
    // Edit folders
    if (user_is_admin() == true) // currently only admin
    {
        echo_r('<table border="0" width="100%">');
        echo_r('  <tr>');
        echo_r('    <td width="30%"><input type="submit" class="action_btn" name="admin_EditFolder" value="' . $cTrans->GetTranslation('admin_main_editfolder') . '"></td>');
        echo_r('    <td>' . $cTrans->GetTranslation('admin_main_editfolderhint') . '</td>');
        echo_r('  </tr>');
        echo_r('</table>');
    }
    echo_r('</form>');

    print_admin_footer();
?>